[AUR] mise à jour avec yay [Résolu]

Mise à jour / Création /debug de paquetages
lann
Hankyu
Messages : 27
Inscription : mer. 24 avr. 2013, 19:23

[AUR] mise à jour avec yay [Résolu]

Message par lann »

Bonsoir à tous

J'ai un souci lorsque je tente de faire une mise à jour avec yay. J'ai ce message d'erreur :

Code : Tout sélectionner

erreur : la validation de la transaction a échoué (conflit de fichiers)
python2-funcsigs : /usr/lib/python2.7/site-packages/funcsigs/__init__.py est déjà présent dans le système de fichiers
python2-funcsigs : /usr/lib/python2.7/site-packages/funcsigs/__init__.pyc est déjà présent dans le système de fichiers
python2-funcsigs : /usr/lib/python2.7/site-packages/funcsigs/version.py est déjà présent dans le système de fichiers
python2-funcsigs : /usr/lib/python2.7/site-packages/funcsigs/version.pyc est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
J'ai essayé de réinstaller yay, pas mieux
Lorsque je veux essayer d'installer python2-funcsigs avec pacman, j'ai le même message
Pacman me dit que ce paquet n'est pas installé. Pourtant, il semble bien installer puisque les fichiers existe sous /usr/lib/python2.7/site-packages/
Dernière modification par lann le jeu. 17 sept. 2020, 22:52, modifié 1 fois.
benjarobin
Maître du Kyudo
Messages : 15991
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [AUR] mise à jour avec yay

Message par benjarobin »

Bonjour,
Quand un fichier est déjà présent dans le système, la première chose à faire est de vérifier que le paquet n'appartient à aucun paquet, via

Code : Tout sélectionner

pacman -Qo /usr/lib/python2.7/site-packages/funcsigs/__init__.py*
Si aucun paquet n'est retourné, c'est que tu as fait une installation à un moment "manuellement" et non via un paquet ou autre...
Bref, pour corriger la chose il suffit lors de l'installation du paquet avec pacman de passer l'option :

Code : Tout sélectionner

--overwrite "*funcsigs/__init__.py*"  --overwrite "*funcsigs/version.py*"
Ou juste de supprimer les fichiers en question juste avant d’installer le paquet
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
lann
Hankyu
Messages : 27
Inscription : mer. 24 avr. 2013, 19:23

Re: [AUR] mise à jour avec yay[Résolu]

Message par lann »

Merci bien
La mise à jour à fonctionner après avoir appliqué cette solution
Cependant je ne me rappelle pas d'avoir installer ce programme manuellement
Répondre